var URL_AJAX_ACTION = "/action/json_data"

function ajaxActionWrap(actionData, callback)
{
	$.post(URL_AJAX_ACTION,
		{
			data: actionData,
		},
		function(data, status){
			if(callback)
				callback(data, status)
		}
	);
}

var loginType = 0;
var jsCookie = "";


function getSerConfigCB(data, status)
{
	if(status != "success")
	{
		//alert("获取WIFI热点列表失败!");
		return -1;
	}
	else{
		//alert("send ok!" + data);
		var jobj = eval(data);
		if(jobj)
		{
			if(jobj[0].code != 1)
			{
				return 0;
			}
			$('#edt_ip').val(jobj[0].data.ip);
			$('#edt_mask').val(jobj[0].data.mask);
			$('#edt_gateway').val(jobj[0].data.gateway);
			$('#edt_dns').val(jobj[0].data.dns);
			$('#edt_netmode').val(jobj[0].data.netmode);
		}
	}
}

function setSerConfigCB(data, status)
{
	if(status != "success")
	{
		//alert("获取WIFI热点列表失败!");
		return -1;
	}
	else{
		alert("send ok!" + data);
	}
}

function btnGetSerConfig()
{
	var devId = getCookie('devId');
	var data = '{"devId":"'+ devId +'","action":"getipConfig"}';
	ajaxActionWrap(data, getSerConfigCB); 
}

function btnsetIpConfig()
{
	devId = getCookie('devId');
	var data = '{"devId":"'+ devId +'","action":"setipConfig","data":{"ip":"'+ $('#edt_ip').val() +'","mask":"'+ $('#edt_mask').val() +'","gateway":"'+ $('#edt_gateway').val() +'","dns":"'+ $('#edt_dns').val() +'","netmode":'+ $('#edt_netmode').val() +'}}';
	ajaxActionWrap(data, setSerConfigCB); 
}

//function btnsetIpConfig()
//{
	//devId = getCookie('devId');
	//var data = '{"devId":"'+ devId +'","action":"setIpConfig","data":{"ip":"'+ $('#edt_ip').val() +'","mask":"'+ $('#edt_mask').val() +'","gateway":"'+ $('#edt_gateway').val() +'","netmode":'+ $('#edt_netmode').val() +'}}';
	//ajaxActionWrap(data, setSerConfigCB); 
//}

function getVersionCB(data, status)
{
	if(status != "success")
	{
		return -1;
	}
	else{
		//alert("send ok!" + data);
		var jobj = eval(data);
		if(jobj)
		{
			if(jobj[0].code != 1)
			{
				return 0;
			}
			$('#softinfo').html("Version:" + jobj[0].data.version + "        Build:" + jobj[0].data.build);
		}
	}
}

function getVersion()
{
	devId = getCookie('devId');
	var data = '{"devId":"'+ devId +'","action":"getVersion"}';
	ajaxActionWrap(data, getVersionCB); 	
}

function setCookie(c_name,value,expiredays)
{
	var exdate=new Date()
	exdate.setDate(exdate.getDate()+expiredays)
	cookie_str = c_name+ "=" +escape(value)+
		((expiredays==null) ? "" : ";expires="+exdate.toGMTString())
	document.cookie = cookie_str;
	if(document.cookie == "" || document.cookie == null)
	{
		jsCookie = cookie_str;
	}
}

function getCookie(c_name)
{

	if(document.cookie.length>0)
	{
		cookie_str = document.cookie;
	}else{
		cookie_str = jsCookie;
	}
	
	if (cookie_str.length>0)
	{
	  c_start=cookie_str.indexOf(c_name + "=")
	  if (c_start!=-1)
		{ 
		c_start=c_start + c_name.length+1 
		c_end=cookie_str.indexOf(";",c_start)
		if (c_end==-1) c_end=cookie_str.length
		return unescape(cookie_str.substring(c_start,c_end))
		} 
	}
	
	return ""
}

function checkCookie()
{
	devId = getCookie('devId');
	if( devId != null && devId != "" )
	{
		$("#divlogin").css("display","none");
		$("#divcontent").css("display","block");
		return 1;
	}
	else 
	{
		$("#divlogin").css("display","block");
		$("#divcontent").css("display","none");
		return 0;
	}
}

function LoginDevIdCB(data, status)
{
	if(status != "success")
	{
		alert("请求服务失败");
		return -1;
	}
	else{
		var jobj = eval(data);
		if(!jobj)
		{
			alert("服务返回数据有误!");
			return -1;
		}
		if(jobj[0].code == 1)
		{
			if(loginType == 2)
				setCookie("devId", $('#devId').val());
			$("#divlogin").css("display","none");
			$("#divcontent").css("display","block");
			
			dataLoad();
			return 0;
		}else
		{
			$("#divlogin").css("display","block");
			$("#divcontent").css("display","none");	
			
			if(loginType == 2)
				alert("验证失败!");
			
			return -1;
		}
	}
}


function btnLogin()
{
	devid = $('#devId').val();
	loginType = 2;
	
	if(devid == null || devid == "")
	{
		loginType = 1;
		devid = getCookie('devId');
	}	
	
	if(devid == null || devid == "")
	{
		logout();
		return;
	}	
	
	var data = '{"devId":"'+ devid +'","action":"login","data":{"devid":"'+ devid + '"}}';
	ajaxActionWrap(data, LoginDevIdCB); 
}


function dataLoad()
{
	btnGetSerConfig();
	getVersion();
}


function load()
{
	btnLogin();
}
